/* Copyright(C) 2017-2024, HJD (https://github.com/hjdhjd). All rights reserved.
 *
 * utils.ts: Useful utility functions when writing TypeScript.
 */
// Emulate a sleep function.
export function sleep(sleepTimer) {
    return new Promise(resolve => setTimeout(resolve, sleepTimer));
}
// Retry an operation until we're successful.
export async function retry(operation, retryInterval) {
    // Try the operation that was requested.
    if (!(await operation())) {
        // If the operation wasn't successful, let's sleep for the requested interval and try again.
        await sleep(retryInterval);
        return retry(operation, retryInterval);
    }
    // We were successful - we're done.
    return true;
}
//# sourceMappingURL=utils.js.map